package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodCompany;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;
import com.jeesharp.framework.pojo.query.PaginationVO;

import java.util.List;

public interface FoodCompanyService extends BaseInterface<FoodCompany, PaginationVO> {

    FoodCompany getById(String companyId);

    FoodCompany getEnabledCompany(String companyId);

    List<FoodCompany> searchEnabledCompanies(String keyword, int limit);
}
